Bug 892314 - Review Request: rubygem-unf_ext - Unicode Normalization Form support library for CRuby
Summary: Review Request: rubygem-unf_ext - Unicode Normalization Form support library...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 904639
TreeView+ depends on / blocked
 
Reported: 2013-01-06 16:29 UTC by Mamoru TASAKA
Modified: 2016-01-04 05:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-30 09:12:22 UTC
Type: ---
jstribny: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 3 Josef Stribny 2013-09-11 09:17:59 UTC
Taking.

Comment 4 Josef Stribny 2013-09-11 09:32:06 UTC
1, Description of -doc subpackage should end with a dot (.) according to guidelines.

2, %doc	%{gem_instdir}/[A-Z]* seems too vague to me, please mention README and LICENSE explicitly so it's clear that they are present.

3, Gemfile, Rakefile and original .gemspec could be kept in -doc for clarification rather than excluded.

4, Keep the test suite in doc rather than excluding it.

Otherwise the package builds, installs and runs, rpmlint doesn't complain.
Please fix the issues 1, 2 and 4, and consider no. 3 so I can approve.

Comment 5 Mamoru TASAKA 2013-09-25 07:11:29 UTC
Sorry for delay.

http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf_ext.spec
http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf_ext-0.0.6-2.fc.src.rpm

* Wed Sep 25 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.0.6-2
- Misc fix

(In reply to Josef Stribny from comment #4)
> 1, Description of -doc subpackage should end with a dot (.) according to
> guidelines.

- Fixed.

> 
> 2, %doc	%{gem_instdir}/[A-Z]* seems too vague to me, please mention README
> and LICENSE explicitly so it's clear that they are present.

- I prefer this (note that similarly we usually just write %gem_libdir and
  not write %files list verbosely more, %files list verboseness
  matters to some degree, however I don't think it is needed for this case)

> 3, Gemfile, Rakefile and original .gemspec could be kept in -doc for
> clarification rather than excluded.

- Oppositely I usually ask / suggest people to exclude these files.
  These are not used, Gemfile and Rakefile are like Makefiles for autotools
  based tarball, which we won't add in binary rpms.

> 4, Keep the test suite in doc rather than excluding it.

- This is against current Ruby guidelines (current Ruby guideline says
  explicitly that test files should not be packaged), and also for
  this case I don't see the usefulness of test suite files for
  normal users.

Comment 6 Josef Stribny 2013-09-25 10:07:49 UTC
Well, I sort of expected you to disagree.

I know that some of the issues above are kind of argumental and not forced by guidelines. With "[A-Z]*" one never knows looking on the spec file if the README/LICENSE is there or not, and those two are kind of important.

The guidelines request to include license file in the main package, but this way, it's unclear. Imagine when you make a simple update of the .gem (or some proven packager makes it) then you wouldn't notice that license file is suddenly gone, because upstream decided not to ship it anymore.

For the rest, I prefer the opposite, but it's true it's not explicitly in the guidelines. For me, tests or Gemfile, are also the documentation, they document how the gem works/is expected to work, with what deps is tested etc. Since we sometimes make a lot of patching in Fedora, I believe it's worth including for clarification.

I APPROVE the package, but I strongly recommend to list the license file separately before pushing. For the rest, I understand your point of view. Thank you.

Comment 7 Mamoru TASAKA 2013-09-26 15:24:55 UTC
Okay, thank you!
Note that as you see this review request blocks other review requests
(of mine, as shown in the dependency tree), so review swaps are
still welcomed.

New Package SCM Request
=======================
Package Name: rubygem-unf_ext
Short Description: Unicode Normalization Form support library for CRuby
Owners: mtasaka
Branches: f18 f19 f20
InitialCC:

Comment 8 Kevin Fenzi 2013-09-27 18:21:56 UTC
Git done (by process-git-requests).

Comment 9 Mamoru TASAKA 2013-09-30 09:12:22 UTC
Rebuilt for all branches, push requested for F-20, closing.

Thank you for reviewing and git procedure.


Note You need to log in before you can comment on or make changes to this bug.